Qwt User's Guide: QwtCompassWindArrow Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtCompassWindArrow Class Reference

Inheritance diagram for QwtCompassWindArrow:

[legend]
Collaboration diagram for QwtCompassWindArrow:

[legend]
List of all members.

## Detailed Description

An indicator for the wind direction.

QwtCompassWindArrow shows the direction where the wind comes from.

- QColorGroup::Light
  Used for Style1, or the light half of Style2
- QColorGroup::Dark
  Used for the dark half of Style2

See also:
  QwtDial, QwtCompass

Definition at line 170 of file qwt_dial_needle.h.

## Public Types
enum | Style { Style1, Style2 }
## Public Member Functions
| QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
virtual void | draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
## Static Public Member Functions
static void | drawStyle1Needle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, double direction)
static void | drawStyle2Needle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, double direction)

## Member Enumeration Documentation

enum QwtCompassWindArrow::Style

| Style of the arrow. Definition at line 174 of file qwt_dial_needle.h.

## Constructor & Destructor Documentation

QwtCompassWindArrow::QwtCompassWindArrow | ( | Style | style,
|  | const QColor & | light = `Qt::white`,
|  | const QColor & | dark = `Qt::gray`
| ) |

  | Constructor Parameters:
  | style | Arrow style
  | light | Light color
  | dark | Dark color
Definition at line 467 of file qwt_dial_needle.cpp. References QwtDialNeedle::palette().

## Member Function Documentation

void QwtCompassWindArrow::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) | const`[virtual]`

  | Draw the needle Parameters:
  | painter | Painter
  | center | Center of the dial, start position for the needle
  | length | Length of the needle
  | direction | Direction of the needle, in degrees counter clockwise
  | colorGroup | Color group, used for painting
Implements QwtDialNeedle. Definition at line 492 of file qwt_dial_needle.cpp. References drawStyle1Needle(), drawStyle2Needle(), and QwtDialNeedle::palette().

void QwtCompassWindArrow::drawStyle1Needle | ( | QPainter * | painter,
|  | const QPalette & | palette,
|  | QPalette::ColorGroup | colorGroup,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction
| ) | `[static]`

  | Draw a compass needle Parameters:
  | painter | Painter
  | palette | Palette
  | colorGroup | colorGroup
  | center | Center of the dial, start position for the needle
  | length | Length of the needle
  | direction | Direction of the needle, in degrees counter clockwise
Definition at line 517 of file qwt_dial_needle.cpp. Referenced by draw().

void QwtCompassWindArrow::drawStyle2Needle | ( | QPainter * | painter,
|  | const QPalette & | palette,
|  | QPalette::ColorGroup | colorGroup,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction
| ) | `[static]`

  | Draw a compass needle Parameters:
  | painter | Painter
  | palette | Palette
  | colorGroup | colorGroup
  | center | Center of the dial, start position for the needle
  | length | Length of the needle
  | direction | Direction of the needle, in degrees counter clockwise
Definition at line 554 of file qwt_dial_needle.cpp. Referenced by draw().